View Issue Details

IDProjectCategoryView StatusLast Update
0017001CentOS-8emacs-auctexpublic2021-05-10 10:42
Reportercumthsc Assigned To 
PrioritynormalSeverityminorReproducibilityalways
Status newResolutionopen 
Product Version8.1.1911 
Summary0017001: No emacs-auctex package for CentOS 8
DescriptionAucTeX has been included in every CentOS release until now, but is not in the repo for CentOS 8
Steps To Reproducesudo dnf install emacs-auctex
Additional InformationLast metadata expiration check: 0:21:32 ago on Mon 03 Feb 2020 01:35:50 PM EST.
No match for argument: emacs-auctex
Error: Unable to find a match: emacs-auctex
TagsNo tags attached.

Activities

toracat

toracat

2020-02-03 19:43

manager   ~0036190

The emacs-auctex package is not in RHEL-8. So it matches upstream.
cumthsc

cumthsc

2020-02-03 20:24

reporter   ~0036191

So what repo should I enable to get the RPM?

Thanks.
cumthsc

cumthsc

2020-02-05 17:22

reporter   ~0036207

Alternatively, how can I help package it as an add-on?

Thanks.
k_c_h

k_c_h

2021-05-10 10:42

reporter   ~0038438

You can install auctex from elpa:
M-x package-install (Return) auctex
I encountered following issues in emacs 26.1 which comes with CentOS 8
1. Got a "bad request" error. Solution found in https://emacs.stackexchange.com/questions/58424/is-elpa-broken: (setq gnutls-algorithm-priority "NORMAL:-VERS-TLS1.3")
2. Install package gnu-elpa-keyring-update

Issue History

Date Modified Username Field Change
2020-02-03 18:58 cumthsc New Issue
2020-02-03 19:43 toracat Note Added: 0036190
2020-02-03 20:24 cumthsc Note Added: 0036191
2020-02-05 17:22 cumthsc Note Added: 0036207
2021-05-10 10:42 k_c_h Note Added: 0038438